#include <stdio.h>
#include <stdlib.h>

// KVADRATI

long long apsolutno(long long a, long long b)
{
    if (a > b) return (a - b);
    else return (b - a);
}

int main()
{
    long long x1,x2,y1,y2;
    scanf("%lld %lld",&x1,&y1);
    scanf("%lld %lld",&x2,&y2);
    if (x1 == x2 && y1 == y2) printf("Uneli ste dve tacke sa istim kordinatama.");
    else
    {
        if (x1 == x2 || y1 == y2) printf("2");
        else if (apsolutno(x1, x2) == apsolutno(y1, y2)) printf("1");
        else printf("0");
    }
}